# 路由授权

1.1.0版本新增了路由授权功能，采用RBAC权限管理方式实现。

- 每个ISV（appKey）对应一个或多个角色
- 每个角色分配多个路由权限

接口跟角色相关联，ISV拥有哪些角色，就具有角色对应的接口访问权限。

假设把路由a,b,c分配给了`VIP角色`，那么具有VIP角色的ISV可以访问a,b,c三个路由。

默认情况下，接口访问时公开的，ISV都能访问。如果要设置某个接口访问权限，在`@ApiMapping`注解中指定permission=true。
如：`@ApiMapping(value = "permission.story.get", permission = true)`。这样该接口是需要经过授权给ISV才能访问的。

重启服务后，登录admin，服务管理-路由列表界面中，操作操作列会出现一个授权按钮，点击出现授权窗口，勾选对应的角色即可完成授权。

- 点击`授权`按钮，进行角色授权

![admin预览](images/10090_1.png "10090_1.png")

- 勾选对应角色，点击保存

![admin预览](images/10090_2.png "10090_2.png")

这里演示的是：具有普通权限的ISV能够访问`permission.story.get`接口，运行`PermissionDemoPostTest`测试用例进行验证
